namespace XGame.Framework.Interfaces
{
    public interface IComparable<in T>
    {
        int CompareTo(T other);
    }
    
    public interface IComparable
    {
        int CompareTo(object obj);
    }
}